routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();


Route::middleware('auth')->group(function () {
    $this->any('/', function () {
        return view('index');
    })->name('index');


    Route::prefix('users')->name('users.')->group(function () {
        $this->any('/create', 'UserController@create')->name('create');
    });

    Route::prefix('subjects')->name('subjects.')->group(function () {
        $this->get('/', 'SubjectController@view')->name('index');
        $this->any('/create', 'SubjectController@create')->name('create');
        $this->any('/{subject}', 'SubjectController@update')->name('update');
        $this->any('/delete/{subject}', 'SubjectController@delete')->name('delete');
    });

    Route::prefix('faculties')->name('faculties.')->group(function () {
        $this->get('/', 'GroupController@view')->name('index');
        $this->get('/{id}', 'GroupController@directions')->name('direction');
        $this->get('/direction/{id}', 'GroupController@groups')->name('group');
        $this->get('/direction/group/{id}', 'GroupController@students')->name('student');
    });

    Route::prefix('plans')->name('plans.')->group(function () {
        $this->get('/', 'PlanController@semesters')->name('semesters');
        $this->get('/{semester}', 'PlanController@semester')->name('semester');
        $this->any('/{semester}/{group}', 'PlanController@group')->name('group');
    });
    Route::prefix('schedule')->name('schedule.')->group(function () {
        $this->get('/', 'LessonController@index')->name('index');
        $this->any('/{group}', 'LessonController@group')->name('group');
        $this->any('/prevWeek/{group}', 'LessonController@prevWeek')->name('prevWeek');
        $this->any('/add/{group}/{pair}/{day}', 'LessonController@add')->name('add');
        $this->any('/update/{lesson}/{day}', 'LessonController@update')->name('update');
    });

    Route::prefix('knowledge')->name('knowledge.')->group(function () {
        $this->get('/', 'KnowledgeController@index')->name('index');
        $this->post('/add', 'KnowledgeController@add')->name('add');
    });

});

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ config('app.name', 'Laravel') }}</title>
    <link href="{{ mix('css/app.css') }}" rel="stylesheet">
</head>
<body>
<div id="app">
    <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
        <div class="container">
            <a class="navbar-brand" href="{{ route('index') }}">
                {{ config('app.name', 'Laravel') }}
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent" aria-expanded="false"
                    aria-label="{{ __('Toggle navigation') }}">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <!-- Left Side Of Navbar -->
                <ul class="navbar-nav mr-auto">
                    @auth
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('users.create') }}">Добавить пользователя</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('faculties.index') }}">Группы</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('subjects.index') }}">Предметы</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('plans.semesters') }}">Учебный план</a>
                        </li>
                        @if (auth()->user()->role_id == '3')
                            <li class="nav-item">
                                <a class="nav-link"
                                   href="{{ route('schedule.group', ['group' =>\App\Group::where('name', auth()->user()->student->group)->first()]) }}">Расписание</a>
                            </li>
                        @else
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('schedule.index') }}">Расписание</a>
                            </li>
                        @endif
                        @if (auth()->user()->role_id == '4')
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('knowledge.index') }}">Дедактические материалы</a>
                            </li>
                        @endif
                    @endauth
                </ul>

                <!-- Right Side Of Navbar -->
                <ul class="navbar-nav ml-auto">
                    @guest
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('login') }}">Войти</a>
                        </li>
                        {{--@if (Route::has('register'))--}}
                        {{--<li class="nav-item">--}}
                        {{--<a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>--}}
                        {{--</li>--}}
                        {{--@endif--}}
                    @else
                        <li class="nav-item dropdown">
                            <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button"
                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                {{ auth()->user()->login }} <span class="caret"></span>
                            </a>

                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                <a class="dropdown-item" href="{{ route('logout') }}"
                                   onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                    Выйти
                                </a>

                                <form id="logout-form" action="{{ route('logout') }}" method="POST"
                                      style="display: none;">
                                    @csrf
                                </form>
                            </div>
                        </li>
                    @endguest
                </ul>
            </div>
        </div>
    </nav>

    @if ($errors->any())
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <strong>Произошла ошибка!</strong>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    @endif

    <main class="py-4">
        @yield('content')
    </main>
</div>
<script src="{{ mix('js/app.js') }}"></script>
@yield('scripts')

</body>
</html>